<?


include_once '../../sys/inc/start.php';


include_once '../../sys/inc/compress.php';


include_once '../../sys/inc/sess.php';


include_once '../../sys/inc/home.php';


include_once '../../sys/inc/settings.php';


include_once '../../sys/inc/db_connect.php';


include_once '../../sys/inc/ipua.php';


include_once '../../sys/inc/fnc.php';


include_once '../../sys/inc/user.php';


only_level(3);


$set['title']='Управление смайлами';


include_once '../../sys/inc/thead.php';


title();


err();


aut();





if(isset($_GET['id'])){


$id=mysql_fetch_assoc(mysql_query("SELECT * FROM `smile` WHERE `dir` = '".intval($_GET['id'])."' LIMIT 1"));


if(mysql_result(mysql_query("SELECT COUNT(*) FROM `smile_dir` WHERE `id` = '".intval($_GET['id'])."'"),0)==0)header("Location: admin.php");





/*


========================


Удаление смайлов


========================


*/


if(isset($_GET['del'])){


$del=mysql_fetch_assoc(mysql_query("SELECT * FROM `smile` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1"));





@unlink(H."style/smiles/$del[name]");


mysql_query("DELETE FROM `smile` WHERE `id` = '".intval($_GET['del'])."'");


$_SESSION['message'] = 'Смайл успешно удален';


header("Location: ?id=".intval($_GET['id'])."&page=".intval($_GET['page'])."");


exit;





}





/*


========================


Загрузка смайлов


========================


*/


if(isset($_GET['act']) && $_GET['act']=='add_smile' && isset($_GET['ok'])){


$forms=intval($_POST['forms']);


for ($i=0;$i<$forms;$i++)


{


if (isset($_FILES["file_$i"]) && preg_match('#^\.|\.jpg|\.png$|\.gif$|\.jpeg$#i',$_FILES["file_$i"]['name']) && filesize($_FILES["file_$i"]['tmp_name'])>0 && isset($_POST["smile_$i"]))


{


$file=esc(stripcslashes(htmlspecialchars($_FILES["file_$i"]['name'])));


if (@copy($_FILES["file_$i"]['tmp_name'], H."style/smiles/$file"))


{


@chmod(H."style/smiles/$file", 0777);


$smile=mysql_real_escape_string($_POST["smile_$i"]);


mysql_query("INSERT INTO `smile` (`name`, `smile`,`dir`) values('".my_esc($file)."', '$smile','".intval($_GET['id'])."')");


msg('OK');


}


}else{$err="Файл ($i) не выгружен";}


}


}





/*


========================


Форма загрузки смайлов


========================


*/


if(isset($_GET['act']) && $_GET['act']=='add_smile'){


if(isset($_POST['forms']))$forms=intval($_POST['forms']);


elseif (isset($_SESSION['forms']))$forms=intval($_SESSION['forms']);


else $forms=1;


$_SESSION['forms']=$forms;


err();


echo "<form class='foot' enctype=\"multipart/form-data\" action='?id=".intval($_GET['id'])."&amp;act=add_smile&amp;ok' method=\"post\">";


echo "Количество файлов:<br />\n";


echo "<input type=\"text\" name=\"forms\" value=\"$forms\"/><br />\n";


echo "<input class=\"submit\" type=\"submit\" value=\"Показать формы\" /><br />\n";


for ($i=0;$i<$forms;$i++)


{


echo ($i+1).")Файл: <input name='file_$i' type='file' /><br />\n";


echo ($i+1).")Смайл(например :-) или :-D .....)<br />\n<input type='text' name='smile_$i' maxlength='32' /><br />\n";


}


echo "<input type='submit' value='Добавить' />\n";


echo "<br /><a href='?id=".intval($_GET['id'])."'>Назад</a><br />";


echo "</form>\n";


}








/*


========================


Вывод смайлов


========================


*/


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `smile` WHERE `dir`='".intval($_GET['id'])."'"),0);


$k_page=k_page($k_post,$set['p_str']);


$page=page($k_page);


$start=$set['p_str']*$page-$set['p_str'];


echo "<table class='post'>\n";


if ($k_post==0)


{


	echo '<div class="mess">Нет смайлов</div>';


}


$q=mysql_query("SELECT * FROM `smile` WHERE `dir`='".intval($_GET['id'])."' ORDER BY id DESC LIMIT $start, $set[p_str]");





while($post = mysql_fetch_array($q)){





/*-----------зебра-----------*/


if ($num==0)


{echo '<div class="nav1">';


$num=1;


}elseif ($num==1)


{echo '<div class="nav2">';


$num=0;}


/*---------------------------*/





echo '<img src="/style/smiles/'.$post['name'].'" alt="'.$post['name'].'"/> ';


echo stripslashes(htmlspecialchars(esc($post['smile']))).' ';


echo '<a href="?id='.intval($_GET['id']).'&amp;edit='.$post['id'].'&amp;page='.$page.'"><img src="/style/icons/edit.gif" alt="*"></a> <a href="?id='.intval($_GET['id']).'&amp;del='.$post['id'].'"><img src="/style/icons/delete.gif" alt="*"></a>';








/*


========================


Редактирование смайлов


========================


*/


if(isset($_GET['edit']) && $_GET['edit']==$post['id']){


	


	if(isset($_POST['sav'])){





		$smile=my_esc($_POST['smile']);


		


			if(strlen2($smile)<1)$err='Названее не менее 1 символа'; 


			


				if(!isset($err)){ // если не ошибки


					mysql_query("UPDATE `smile` SET `smile` = '$smile' WHERE `id` = '$post[id]'");


					$_SESSION['message'] = 'Изменения приняты';


					header("Location: ?id=$post[dir]&page=$page");


					exit;


				}


	}


err();


echo "<form method='post' action='?id=$post[dir]&amp;edit=$post[id]&amp;page=$page'>\n";


echo "Смайл(например :-) или :-D .....)<br />\n";


echo "<input type='text' name='smile' maxlength='32' value='$post[smile]'/><br />\n";


echo "<input type='submit' name='sav' value='Изменить' />\n";


echo "</form>\n";


}


echo '</div>';


}


echo "</table>\n";


if ($k_page>1)str("?id=".intval($_GET['id'])."&amp;",$k_page,$page);





echo "<div class='foot'>";


echo "<img src='/style/icons/str.gif' alt='*'> <a href='?id=".intval($_GET['id'])."&amp;act=add_smile'>Добавить смайл</a>";


echo "</div>";





echo "<div class='foot'>\n";


echo "<img src='/style/icons/str.gif' alt='*'> <a href='admin.php'>Категории смайлов</a>";


echo "</div>";





include_once '../../sys/inc/tfoot.php';


exit;


}








/*


========================


Создание категории


========================


*/


if(isset($_GET['act']) && $_GET['act']=='add_kat'){


if(isset($_POST['save'])){


$name=mysql_real_escape_string($_POST['name']);





if(strlen2($name)<1)$err='Не менее 1 сивола название';


if(!isset($err)){


mysql_query("INSERT INTO `smile_dir` (`name` )


VALUES ('$name')");


msg('OK');


}


}


err();


echo "<form method='post' action='?act=add_kat'>\n";


echo "Название<br />\n<input type='text' name='name' maxlength='32' /><br />\n";





echo "<input type='submit' name='save' value='Добавить' />\n";


echo "</form>\n";


}








/*


========================


Вывод категорий


========================


*/


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `smile_dir`"),0);


if ($k_post==0)


{


echo "   <tr>\n";


echo "  <td class='p_t'>\n";


echo "Нет категорий\n";


echo "  </td>\n";


echo "   </tr>\n";





}


$q=mysql_query("SELECT * FROM `smile_dir`");


echo "<table class='post'>\n";


while($post = mysql_fetch_array($q)){


echo "   <tr>\n";


echo "  <td class='p_t'>\n";


echo '<a href="?id='.$post['id'].'">'.output_text($post['name']).'</a> [<a href="?edit='.$post['id'].'">Ред.</a> / <a href="?del='.$post['id'].'"><font color="red"><b>X</b></font></a>]';


echo "  </td>\n";


echo "   </tr>\n";





/*


========================


Удаление категорий


========================


*/


if(isset($_GET['del'])){





$q=mysql_query("SELECT * FROM `smile` WHERE `dir`='".intval($_GET['del'])."'");


while($post = mysql_fetch_array($q)){


@unlink(H."style/smiles/$post[name]");


mysql_query("DELETE FROM `smile` WHERE `id` = '".$post['id']."'");


}


mysql_query("DELETE FROM `smile_dir` WHERE `id` = '".intval($_GET['del'])."'");


header("Location: admin.php");





}





/*


========================


Редактирование категорий


========================


*/


if(isset($_GET['edit']) && $_GET['edit']==$post['id']){


	


	if(isset($_POST['sav'])){





$name=mysql_real_escape_string($_POST['name']);


if(strlen2($name)<1)$err='Не менее 1 сивола название';


if(!isset($err)){


mysql_query("UPDATE `smile_dir` SET `name` = '".$name."' WHERE `id` = '".$post['id']."'");


header("Location: admin.php");}


	}


	err();


echo "<form method='post' action='?edit=$post[id]&amp;$page'>\n";


echo "Название<br />\n<input type='text' name='name' maxlength='32' value='$post[name]'/><br />\n";


echo "<input type='submit' name='sav' value='Изменить' />\n";


echo "</form>\n";


}





}


echo "</table>\n";





echo "<div class='foot'>\n";


echo "<img src='/style/icons/str.gif' alt='*'> <a href='?act=add_kat'>Добавить категорию</a><br />";


echo "</div>\n";








include_once '../../sys/inc/tfoot.php';





?>